## chemps2 1.5

=== CMakeLists.txt ===
project (CheMPS2)
set (CheMPS2_VERSION      "1.5")
set (CheMPS2_AUTHORS      "Sebastian Wouters")
set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")
set (CheMPS2_URL          "https://github.com/SebWouters/CheMPS2")
set (CheMPS2_LICENSE      "GNU General Public License, version 2")
set (CheMPS2_LIB_SOVERSION 1)

include (GNUInstallDirs)
cmake_minimum_required (VERSION 2.8.11)

option (MKL                  "Compile using the MKL"                   OFF)
option (BUILD_DOXYGEN        "Use Doxygen to create a HTML/PDF manual" OFF)
option (BUILD_SPHINX         "Build the user manual with Sphinx"       OFF)
option (STATIC_ONLY          "Compile only the static library"         OFF)
option (ENABLE_TESTS         "Compile the tests"                       ON)
option (ENABLE_XHOST         "Enable processor-specific optimizations" ON)
option (ENABLE_GENERIC       "Enable mostly static linking in shared library" OFF)
option (WITH_MPI             "Build the library with MPI"              OFF)

set (CMAKE_VERBOSE_MAKEFILE OFF)

find_package (OpenMP)
if (OPENMP_FOUND)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif (OPENMP_FOUND)

include (CheckCXXCompilerFlag)

if (ENABLE_XHOST)
    check_cxx_compiler_flag (-xHost HAS_XHOST)
    check_cxx_compiler_flag (-march=native HAS_MARCH_NATIVE)
    if (HAS_XHOST)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -xHost")
    elseif (HAS_MARCH_NATIVE)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
    endif ()
endif (ENABLE_XHOST)

set (CMAKE_CXX_FLAGS "-g -O3 ${CMAKE_CXX_FLAGS}")

check_cxx_compiler_flag (-ipo HAS_IPO)
if (HAS_IPO)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ipo")
endif (HAS_IPO)

check_cxx_compiler_flag (-flto HAS_FLTO)
if (HAS_FLTO)
    set (CMAKE_CXX_FLAGS "-flto ${CMAKE_CXX_FLAGS}")
endif (HAS_FLTO)
 
if (ENABLE_GENERIC)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-libstdc++ -static-libgcc")
    check_cxx_compiler_flag (-static-intel HAS_INTEL_COMPILERS)
    if (HAS_INTEL_COMPILERS)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-intel -wd10237")
    endif (HAS_INTEL_COMPILERS)
endif (ENABLE_GENERIC)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CheMPS2_SOURCE_DIR}/CMake/")

link_directories ($ENV{LD_LIBRARY_PATH})
if (MKL)
    set ( ENV{BLA_VENDOR} "Intel10_64lp" )
endif (MKL)

if (WITH_MPI)
    add_definitions (-DCHEMPS2_MPI_COMPILATION)
endif (WITH_MPI)

if (LAPACK_LIBRARIES)
    message(STATUS "LAPACK detection suppressed. Using: ${LAPACK_LIBRARIES}")
else (LAPACK_LIBRARIES)
    find_package (LAPACK REQUIRED)
endif (LAPACK_LIBRARIES)

if (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
    message(STATUS "HDF5 detection suppressed. Using: ${HDF5_LIBRARIES} and includes ${HDF5_INCLUDE_DIRS}")
else (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
    find_package (HDF5 REQUIRED)
endif (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)

if (GSL_LIBRARIES)
    message(STATUS "GSL detection suppressed. Using: ${GSL_LIBRARIES}")
else (GSL_LIBRARIES)
    find_package (GSL REQUIRED)
endif (GSL_LIBRARIES)

enable_testing ()
add_subdirectory (CheMPS2)
if (ENABLE_TESTS)
    add_subdirectory (tests)
endif (ENABLE_TESTS)
if (BUILD_SPHINX)
    add_subdirectory (sphinx)
endif (BUILD_SPHINX)

if (BUILD_DOXYGEN)
    find_package (Doxygen)
    if (NOT DOXYGEN_FOUND)
        message (FATAL_ERROR "Doxygen is needed to build the documentation. Please install it correctly.")
    endif (NOT DOXYGEN_FOUND)
    configure_file (${CheMPS2_SOURCE_DIR}/CheMPS2/Doxyfile.in ${CheMPS2_BINARY_DIR}/Doxyfile @ONLY IMMEDIATE)
    add_custom_target (doc COMMAND ${DOXYGEN_EXECUTABLE} ${CheMPS2_BINARY_DIR}/Doxyfile SOURCES ${CheMPS2_BINARY_DIR}/Doxyfile)
endif (BUILD_DOXYGEN)

=== CheMPS2/CMakeLists.txt ===
include_directories (${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2/ ${HDF5_INCLUDE_DIRS})

set (CHEMPS2LIB_SOURCE_FILES "CASSCF.cpp" "CASSCFdebug.cpp" "CASSCFnewtonraphson.cpp" "ConvergenceScheme.cpp" "Correlations.cpp" "Davidson.cpp" "DIIS.cpp" "DMRG.cpp" "DMRGmpsio.cpp" "DMRGoperators.cpp" "DMRGSCFindices.cpp" "DMRGSCFintegrals.cpp" "DMRGSCFmatrix.cpp" "DMRGSCFoptions.cpp" "DMRGSCFunitary.cpp" "DMRGSCFVmatRotations.cpp" "DMRGSCFwtilde.cpp" "DMRGtechnics.cpp" "EdmistonRuedenberg.cpp" "FCI.cpp" "FourIndex.cpp" "Hamiltonian.cpp" "Heff.cpp" "HeffDiagonal.cpp" "HeffDiagrams1.cpp" "HeffDiagrams2.cpp" "HeffDiagrams3.cpp" "HeffDiagrams4.cpp" "HeffDiagrams5.cpp" "Initialize.cpp" "Irreps.cpp" "PrintLicense.cpp" "Problem.cpp" "Sobject.cpp" "SyBookkeeper.cpp" "TensorA.cpp" "TensorB.cpp" "TensorC.cpp" "TensorD.cpp" "TensorDiag.cpp" "TensorF0Cbase.cpp" "TensorF0.cpp" "TensorF1.cpp" "TensorF1Dbase.cpp" "TensorGYZ.cpp" "TensorK.cpp" "TensorL.cpp" "TensorM.cpp" "TensorO.cpp" "TensorQ.cpp" "TensorS0Abase.cpp" "TensorS0.cpp" "TensorS1Bbase.cpp" "TensorS1.cpp" "TensorSwap.cpp" "TensorT.cpp" "TensorX.cpp" "TwoDM.cpp" "TwoDMstorage.cpp" "TwoIndex.cpp")

add_library (chemps2-base OBJECT ${CHEMPS2LIB_SOURCE_FILES})

if (NOT STATIC_ONLY)
    set_target_properties (chemps2-base PROPERTIES POSITION_INDEPENDENT_CODE 1)
    add_library (chemps2-shared SHARED $<TARGET_OBJECTS:chemps2-base>)
    target_link_libraries (chemps2-shared ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES} ${GSL_LIBRARIES})
    set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION} CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
endif (NOT STATIC_ONLY)

add_library (chemps2-static STATIC $<TARGET_OBJECTS:chemps2-base>)
target_link_libraries (chemps2-static ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES} ${GSL_LIBRARIES})
set_target_properties (chemps2-static PROPERTIES CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")

if (NOT STATIC_ONLY)
    install (TARGETS chemps2-shared DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
endif (NOT STATIC_ONLY)
install (TARGETS chemps2-static DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
install (DIRECTORY include/chemps2/ DESTINATION include/chemps2 FILES_MATCHING PATTERN "*.h")

=== tests/CMakeLists.txt ===
include_directories (${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2/ ${HDF5_INCLUDE_DIRS})

link_directories (${CMAKE_BINARY_DIR}/CheMPS2)

file (MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/tests)

set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10")

foreach (ITEM ${TESTLIST})
    configure_file (${CMAKE_SOURCE_DIR}/tests/${ITEM}.cpp.in ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    add_executable (${ITEM} ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    if (STATIC_ONLY)
        add_dependencies (${ITEM} chemps2-static)
        target_link_libraries (${ITEM} chemps2 ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES} ${GSL_LIBRARIES})
    else (STATIC_ONLY)
        add_dependencies (${ITEM} chemps2-shared)
        target_link_libraries (${ITEM} chemps2)
    endif (STATIC_ONLY)
    add_test(${ITEM} ${ITEM})
endforeach (ITEM)

=== debian/changelog ===
chemps2 (1.5-2) unstable; urgency=low

  [ Sebastian Wouters ]
  * Fix difference DEB_HOST_GNU_TYPE and DEB_HOST_MULTIARCH
    on i386 (Closes: #792047)
  * Fix library dependency BLAS for kFreeBSD (Closes: #792051)
  * Fix date issues changelog (Closes: #795138)
  * Fix build-depends python-support (Closes: #796065)

  [ Graham Inggs ]
  * Update libchemps2-1.symbols for cxx11

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sat, 22 Aug 2015 19:53:36 +0200

chemps2 (1.5-1) unstable; urgency=low

  * Initial release (Closes: #771112)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sun, 14 Jun 2015 13:17:33 -0400

=== debian/control ===
Source: chemps2
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.11),
               libatlas-base-dev,
               libgsl0-dev,
               libhdf5-dev,
               dh-python,
               python-all (>= 2.7),
               python-setuptools,
               python-docutils,
               python-sphinx (>= 1.1),
               cython (>= 0.19),
               python-numpy,
               libpython-dev,
               libjs-mathjax
Standards-Version: 3.9.5
Homepage: http://sebwouters.github.io/CheMPS2/index.html
Vcs-Git: git://anonscm.debian.org/debichem/packages/chemps2.git
Vcs-Browser: http://anonscm.debian.org/cgit/debichem/packages/chemps2.git

Package: libchemps2-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: chemps2-doc
Description: Spin-adapted DMRG for ab initio quantum chemistry
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI): up to 40 electrons in 40
 orbitals for general active spaces; and up to 100 electrons in
 100 orbitals for one-dimensional active spaces, such as the
 pi-system of all-trans polyenes.
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This version of chemps2 is parallelized for shared memory
 architectures with OpenMP.

Package: libchemps2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-1 (= ${binary:Version})
Suggests: chemps2-doc
Description: C++ headers, static library, and symlink for libchemps2-1
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI).
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This package installs the C++ headers, static library, and symlink
 for libchemps2.

Package: chemps2-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Documentation of the libchemps2-1 package
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI).
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This is the common documentation package.

Package: python-chemps2
Section: python
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-1 (= ${binary:Version})
Suggests: chemps2-doc
Description: Python 2 interface for libchemps2-1
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI).
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This package installs the library for Python 2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# Cfr. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773266
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_BUILD_OPTIONS += partialcheck

override_dh_auto_configure:
#	echo "DEB_HOST_MULTIARCH = ${DEB_HOST_MULTIARCH}"
#	echo "DEB_HOST_GNU_TYPE  = ${DEB_HOST_GNU_TYPE}"
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/${DEB_HOST_MULTIARCH} \
                             -DENABLE_XHOST=OFF \
                             -DBUILD_SPHINX=ON \
                             -DHDF5_INCLUDE_DIRS=/usr/include/hdf5/serial

override_dh_auto_build:
	dh_auto_build
	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
                                                           -c obj-${DEB_HOST_GNU_TYPE}/sphinx/ \
                                                           -D html_theme=default \
                                                           -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" sphinx/ build-sphinx/html
	# I know it's ugly, but sphinx splits strings at equality signs: http://svn.python.org/projects/doctools/trunk/sphinx/cmdline.py
	cd build-sphinx/html && sed -i "s/MathJax.js/MathJax.js?config=TeX-AMS-MML_HTMLorMML/" *.html
	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2

override_dh_auto_install:
	dh_auto_install
	# This will skip the build as it is already performed
	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py install --root=../debian/tmp --install-layout=deb
	dh_numpy

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))) # nocheck NOT in variable
    ifeq (,$(filter fullcheck,$(DEB_BUILD_OPTIONS))) # fullcheck NOT in variable
	cd obj-${DEB_HOST_GNU_TYPE}/ && ctest -R "^test3|^test5|^test8"
    else
	dh_auto_test
    endif
#Just check if the first python test works: python and c++ tests are identical
	cd PyCheMPS2/tests && PYTHONPATH=../../$(shell find -name lib.*):.. \
                              LD_LIBRARY_PATH=../../obj-${DEB_HOST_GNU_TYPE}/CheMPS2:/usr/lib/${DEB_HOST_MULTIARCH}/hdf5/serial \
                              python2 test1.py
else
	echo "DEB_BUILD_OPTIONS contains nocheck: no tests will be performed."
endif

override_dh_clean:
	dh_clean
	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc

%:
	dh $@ --with python2

=== debian/watch ===
version=3
https://github.com/SebWouters/CheMPS2/tags .*/archive/(v\d\S*)\.tar\.gz

## chemps2 1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (CheMPS2)
-set (CheMPS2_VERSION      "1.5")
+set (CheMPS2_VERSION      "1.6")
 set (CheMPS2_AUTHORS      "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")

=== CheMPS2/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,16 @@
 install (TARGETS chemps2-static DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
 install (DIRECTORY include/chemps2/ DESTINATION include/chemps2 FILES_MATCHING PATTERN "*.h")
 
+link_directories (${CMAKE_BINARY_DIR}/CheMPS2)
+add_executable (chemps2bin executable.cpp)
+if (STATIC_ONLY)
+    add_dependencies (chemps2bin chemps2-static)
+    target_link_libraries (chemps2bin chemps2 ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES} ${GSL_LIBRARIES})
+else (STATIC_ONLY)
+    add_dependencies (chemps2bin chemps2-shared)
+    target_link_libraries (chemps2bin chemps2)
+endif (STATIC_ONLY)
+set_target_properties (chemps2bin PROPERTIES OUTPUT_NAME "chemps2")
+
+install (TARGETS chemps2bin DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR})
+

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,11 @@
 
 file (MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/tests)
 
-set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10")
+if (WITH_MPI)
+    set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test7" "test10")
+else (WITH_MPI)
+    set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10")
+endif (WITH_MPI)
 
 foreach (ITEM ${TESTLIST})
     configure_file (${CMAKE_SOURCE_DIR}/tests/${ITEM}.cpp.in ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)

=== debian/changelog ===
chemps2 (1.6-1build1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1493843)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 01 Nov 2015 14:32:38 -0600

chemps2 (1.6-1build1) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:21:37 +0000

chemps2 (1.6-1) unstable; urgency=low

  * Upstream release v1.6
  * debian/control: Standards-Version 3.9.6
  * Package: chemps2 (executable)
  * Fix lintian warnings jquery.js and underscore.js
  * Fix watch file (Closes: #795789)
  * Update libchemps2-1.symbols for cxx11 (new symbols v1.6)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Fri, 28 Aug 2015 10:10:14 -0400

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,10 @@
                cython (>= 0.19),
                python-numpy,
                libpython-dev,
-               libjs-mathjax
-Standards-Version: 3.9.5
+               libjs-mathjax,
+               libjs-jquery,
+               libjs-underscore
+Standards-Version: 3.9.6
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: git://anonscm.debian.org/debichem/packages/chemps2.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debichem/packages/chemps2.git
@@ -102,6 +104,34 @@
  .
  This is the common documentation package.
 
+Package: chemps2
+Section: science
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libchemps2-1 (= ${binary:Version})
+Suggests: chemps2-doc
+Description: Executable to call libchemps2-1 from the command line
+ chemps2 is a scientific library which contains a spin-adapted
+ implementation of the density matrix renormalization group (DMRG)
+ for ab initio quantum chemistry. This method allows one to obtain
+ numerical accuracy in active spaces beyond the capabilities of
+ full configuration interaction (FCI).
+ .
+ For an input Hamiltonian and targeted symmetry sector, the library
+ performs successive DMRG sweeps according to a user-defined
+ convergence scheme. As output, the library returns the minimal
+ encountered energy as well as the second order reduced density
+ matrix (2-RDM) of the active space. With the latter, various
+ molecular properties can be calculated, as well as the gradient and
+ Hessian for orbital rotations or nuclear displacements. In addition,
+ several correlation functions can be obtained to investigate the
+ electronic structure in the active space.
+ .
+ This package installs the executable which parses Hamiltonians in
+ fcidump format, performs DMRG sweeps according to a user-defined
+ convergence scheme, and writes the 2-RDM as output.
+
 Package: python-chemps2
 Section: python
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 # Cfr. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773266
@@ -27,6 +27,10 @@
                                                            -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" sphinx/ build-sphinx/html
 	# I know it's ugly, but sphinx splits strings at equality signs: http://svn.python.org/projects/doctools/trunk/sphinx/cmdline.py
 	cd build-sphinx/html && sed -i "s/MathJax.js/MathJax.js?config=TeX-AMS-MML_HTMLorMML/" *.html
+	# Solving the complaints from lintian about jquery.js & underscore.js
+	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
+	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
+	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
 	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:
@@ -50,6 +54,12 @@
 	echo "DEB_BUILD_OPTIONS contains nocheck: no tests will be performed."
 endif
 
+override_dh_installman:
+	dh_installman chemps2.1
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k CHANGELOG.md
+
 override_dh_clean:
 	dh_clean
 	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc

=== debian/watch ===
version=3
https://github.com/SebWouters/CheMPS2/releases .*/archive/v([\d.]+)\.tar\.gz

## chemps2 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 project (CheMPS2)
-set (CheMPS2_VERSION      "1.6")
+set (CheMPS2_VERSION      "1.7 (2016-05-24)")
 set (CheMPS2_AUTHORS      "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")
 set (CheMPS2_URL          "https://github.com/SebWouters/CheMPS2")
 set (CheMPS2_LICENSE      "GNU General Public License, version 2")
-set (CheMPS2_LIB_SOVERSION 1)
+set (CheMPS2_LIB_SOVERSION 2)
 
 include (GNUInstallDirs)
 cmake_minimum_required (VERSION 2.8.11)
@@ -70,6 +70,8 @@
     add_definitions (-DCHEMPS2_MPI_COMPILATION)
 endif (WITH_MPI)
 
+add_definitions(-DCHEMPS2_VERSION="${CheMPS2_VERSION}")
+
 if (LAPACK_LIBRARIES)
     message(STATUS "LAPACK detection suppressed. Using: ${LAPACK_LIBRARIES}")
 else (LAPACK_LIBRARIES)
@@ -81,12 +83,6 @@
 else (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
     find_package (HDF5 REQUIRED)
 endif (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
-
-if (GSL_LIBRARIES)
-    message(STATUS "GSL detection suppressed. Using: ${GSL_LIBRARIES}")
-else (GSL_LIBRARIES)
-    find_package (GSL REQUIRED)
-endif (GSL_LIBRARIES)
 
 enable_testing ()
 add_subdirectory (CheMPS2)

=== CheMPS2/CMakeLists.txt ===
include_directories (${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2/ ${HDF5_INCLUDE_DIRS})

set (CHEMPS2LIB_SOURCE_FILES "CASPT2.cpp"
                             "CASSCF.cpp"
                             "CASSCFdebug.cpp"
                             "CASSCFnewtonraphson.cpp"
                             "CASSCFpt2.cpp"
                             "ConjugateGradient.cpp"
                             "ConvergenceScheme.cpp"
                             "Correlations.cpp"
                             "Cumulant.cpp"
                             "Davidson.cpp"
                             "DIIS.cpp"
                             "DMRG.cpp"
                             "DMRGfock.cpp"
                             "DMRGmpsio.cpp"
                             "DMRGoperators.cpp"
                             "DMRGoperators3RDM.cpp"
                             "DMRGSCFindices.cpp"
                             "DMRGSCFintegrals.cpp"
                             "DMRGSCFmatrix.cpp"
                             "DMRGSCFoptions.cpp"
                             "DMRGSCFrotations.cpp"
                             "DMRGSCFunitary.cpp"
                             "DMRGSCFwtilde.cpp"
                             "DMRGtechnics.cpp"
                             "EdmistonRuedenberg.cpp"
                             "Excitation.cpp"
                             "FCI.cpp"
                             "FourIndex.cpp"
                             "Hamiltonian.cpp"
                             "Heff.cpp"
                             "HeffDiagonal.cpp"
                             "HeffDiagrams1.cpp"
                             "HeffDiagrams2.cpp"
                             "HeffDiagrams3.cpp"
                             "HeffDiagrams4.cpp"
                             "HeffDiagrams5.cpp"
                             "Initialize.cpp"
                             "Irreps.cpp"
                             "Molden.cpp"
                             "PrintLicense.cpp"
                             "Problem.cpp"
                             "Sobject.cpp"
                             "SyBookkeeper.cpp"
                             "Tensor3RDM.cpp"
                             "TensorF0.cpp"
                             "TensorF1.cpp"
                             "TensorGYZ.cpp"
                             "TensorKM.cpp"
                             "TensorL.cpp"
                             "TensorO.cpp"
                             "TensorOperator.cpp"
                             "TensorQ.cpp"
                             "TensorS0.cpp"
                             "TensorS1.cpp"
                             "TensorT.cpp"
                             "TensorX.cpp"
                             "ThreeDM.cpp"
                             "TwoDM.cpp"
                             "TwoIndex.cpp"
                             "Wigner.cpp")

add_library (chemps2-base OBJECT ${CHEMPS2LIB_SOURCE_FILES})

if (NOT STATIC_ONLY)
    set_target_properties (chemps2-base PROPERTIES POSITION_INDEPENDENT_CODE 1)
    add_library (chemps2-shared SHARED $<TARGET_OBJECTS:chemps2-base>)
    target_link_libraries (chemps2-shared ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
    set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION} CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
endif (NOT STATIC_ONLY)

add_library (chemps2-static STATIC $<TARGET_OBJECTS:chemps2-base>)
target_link_libraries (chemps2-static ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
set_target_properties (chemps2-static PROPERTIES CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")

if (NOT STATIC_ONLY)
    install (TARGETS chemps2-shared DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
endif (NOT STATIC_ONLY)
install (TARGETS chemps2-static DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
install (DIRECTORY include/chemps2/ DESTINATION include/chemps2 FILES_MATCHING PATTERN "*.h")

link_directories (${CMAKE_BINARY_DIR}/CheMPS2)
add_executable (chemps2bin executable.cpp)
if (STATIC_ONLY)
    add_dependencies (chemps2bin chemps2-static)
    target_link_libraries (chemps2bin chemps2 ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
else (STATIC_ONLY)
    add_dependencies (chemps2bin chemps2-shared)
    target_link_libraries (chemps2bin chemps2)
endif (STATIC_ONLY)
set_target_properties (chemps2bin PROPERTIES OUTPUT_NAME "chemps2")

install (TARGETS chemps2bin DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
chemps2 (1.7-1) unstable; urgency=medium

   * Upstream release v1.7
   * Bump SO version to libchemps2.so.2
   * Package no longer depends on GSL
   * Update symbols file
   * New package description for added features
   * Bump Standards-Version to 3.9.8
   * Fix unsafe Vcs-* URI

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 25 May 2016 10:03:11 +0200

chemps2 (1.6-3) unstable; urgency=medium

  * Fix overwriting chemps2.1.gz (manpage moved from libchemps2-1
    to chemps2) (Closes: #808312)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 23 Dec 2015 21:31:16 +0100

chemps2 (1.6-2) unstable; urgency=medium

  [ Sebastian Wouters ]
  * Fix lintian warning manpage (moved from libchemps2-1 to chemps2 package)

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev (Closes: #807189)

 -- Graham Inggs <ginggs@debian.org>  Wed, 16 Dec 2015 08:29:20 +0200

=== debian/control ===
Source: chemps2
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.11),
               libatlas-base-dev,
               libhdf5-dev,
               dh-python,
               python-all (>= 2.7),
               python-setuptools,
               python-docutils,
               python-sphinx (>= 1.1),
               cython (>= 0.19),
               python-numpy,
               libpython-dev,
               libjs-mathjax,
               libjs-jquery,
               libjs-underscore
Standards-Version: 3.9.8
Homepage: http://sebwouters.github.io/CheMPS2/index.html
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/chemps2.git
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/chemps2.git

Package: libchemps2-2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: chemps2-doc
Description: Spin-adapted DMRG for ab initio quantum chemistry
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.

Package: libchemps2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-2 (= ${binary:Version})
Suggests: chemps2-doc
Description: C++ headers, static library, and symlink for libchemps2-2
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the C++ headers, static library, and symlink
 for libchemps2.

Package: chemps2-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Documentation of the libchemps2-2 package
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This is the common documentation package.

Package: chemps2
Section: science
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-2 (= ${binary:Version})
Suggests: chemps2-doc
Description: Executable to call libchemps2-2 from the command line
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the executable which parses Hamiltonians in
 fcidump format, performs DMRG-SCF and DMRG-CASPT2 calculations as
 specified by the user.

Package: python-chemps2
Section: python
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-2 (= ${binary:Version})
Suggests: chemps2-doc
Description: Python 2 interface for libchemps2-2
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the library for Python 2.

## chemps2 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (CheMPS2)
-set (CheMPS2_VERSION      "1.7 (2016-05-24)")
+set (CheMPS2_VERSION      "1.7.3 (2016-07-14)")
 set (CheMPS2_AUTHORS      "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")
@@ -14,12 +14,17 @@
 option (BUILD_DOXYGEN        "Use Doxygen to create a HTML/PDF manual" OFF)
 option (BUILD_SPHINX         "Build the user manual with Sphinx"       OFF)
 option (STATIC_ONLY          "Compile only the static library"         OFF)
+option (SHARED_ONLY          "Compile only the shared library"         OFF)
 option (ENABLE_TESTS         "Compile the tests"                       ON)
 option (ENABLE_XHOST         "Enable processor-specific optimizations" ON)
 option (ENABLE_GENERIC       "Enable mostly static linking in shared library" OFF)
 option (WITH_MPI             "Build the library with MPI"              OFF)
 
 set (CMAKE_VERBOSE_MAKEFILE OFF)
+
+if (STATIC_ONLY AND SHARED_ONLY)
+    message (FATAL_ERROR "The options STATIC_ONLY=ON and SHARED_ONLY=ON are conflicting." )
+endif (STATIC_ONLY AND SHARED_ONLY)
 
 find_package (OpenMP)
 if (OPENMP_FOUND)

=== CheMPS2/CMakeLists.txt ===
--- 
+++ 
@@ -66,28 +66,32 @@
 if (NOT STATIC_ONLY)
     set_target_properties (chemps2-base PROPERTIES POSITION_INDEPENDENT_CODE 1)
     add_library (chemps2-shared SHARED $<TARGET_OBJECTS:chemps2-base>)
-    target_link_libraries (chemps2-shared ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    target_link_libraries (chemps2-shared ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
     set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION} CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
 endif (NOT STATIC_ONLY)
 
-add_library (chemps2-static STATIC $<TARGET_OBJECTS:chemps2-base>)
-target_link_libraries (chemps2-static ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
-set_target_properties (chemps2-static PROPERTIES CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
+if (NOT SHARED_ONLY)
+    add_library (chemps2-static STATIC $<TARGET_OBJECTS:chemps2-base>)
+    target_link_libraries (chemps2-static ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    set_target_properties (chemps2-static PROPERTIES CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
+endif (NOT SHARED_ONLY)
 
 if (NOT STATIC_ONLY)
     install (TARGETS chemps2-shared DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
 endif (NOT STATIC_ONLY)
-install (TARGETS chemps2-static DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
+if (NOT SHARED_ONLY)
+    install (TARGETS chemps2-static DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
+endif (NOT SHARED_ONLY)
 install (DIRECTORY include/chemps2/ DESTINATION include/chemps2 FILES_MATCHING PATTERN "*.h")
 
 link_directories (${CMAKE_BINARY_DIR}/CheMPS2)
 add_executable (chemps2bin executable.cpp)
 if (STATIC_ONLY)
     add_dependencies (chemps2bin chemps2-static)
-    target_link_libraries (chemps2bin chemps2 ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    target_link_libraries (chemps2bin chemps2 ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
 else (STATIC_ONLY)
     add_dependencies (chemps2bin chemps2-shared)
-    target_link_libraries (chemps2bin chemps2)
+    target_link_libraries (chemps2bin ${LIBC_INTERJECT} chemps2)
 endif (STATIC_ONLY)
 set_target_properties (chemps2bin PROPERTIES OUTPUT_NAME "chemps2")

=== tests/CMakeLists.txt ===
include_directories (${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2/ ${HDF5_INCLUDE_DIRS})

link_directories (${CMAKE_BINARY_DIR}/CheMPS2)

file (MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/tests)

set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10" "test11" "test12" "test13" "test14")

foreach (ITEM ${TESTLIST})
    configure_file (${CMAKE_SOURCE_DIR}/tests/${ITEM}.cpp.in ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    add_executable (${ITEM} ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    if (STATIC_ONLY)
        add_dependencies (${ITEM} chemps2-static)
        target_link_libraries (${ITEM} chemps2 ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
    else (STATIC_ONLY)
        add_dependencies (${ITEM} chemps2-shared)
        target_link_libraries (${ITEM} chemps2)
    endif (STATIC_ONLY)
    add_test(${ITEM} ${ITEM})
endforeach (ITEM)

=== debian/changelog ===
chemps2 (1.7.3-1) unstable; urgency=low

   * Upstream release v1.7.1 for psi4
   * Upstream release v1.7.2 for DMRG workshop
   * Upstream release v1.7.3 with new documentation
   * Linear Davidson solver for CASPT2
   * Global Fiedler reordering allowed
   * Use libblas-dev and liblapack-dev i.o. libatlas-base-dev

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Tue, 26 Jul 2016 11:41:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake (>= 2.8.11),
-               libatlas-base-dev,
+               libblas-dev,
+               liblapack-dev,
                libhdf5-dev,
                dh-python,
                python-all (>= 2.7),

## chemps2 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (CheMPS2)
-set (CheMPS2_VERSION      "1.7.3 (2016-07-14)")
+set (CheMPS2_VERSION      "1.8 (2016-08-24)")
 set (CheMPS2_AUTHORS      "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")
@@ -44,7 +44,11 @@
     endif ()
 endif (ENABLE_XHOST)
 
-set (CMAKE_CXX_FLAGS "-g -O3 ${CMAKE_CXX_FLAGS}")
+IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
+    set (CMAKE_CXX_FLAGS "-g -O3 ${CMAKE_CXX_FLAGS}")
+ELSE (CMAKE_BUILD_TYPE MATCHES DEBUG)
+    set (CMAKE_CXX_FLAGS "-O3 ${CMAKE_CXX_FLAGS}")
+ENDIF (CMAKE_BUILD_TYPE MATCHES DEBUG)
 
 check_cxx_compiler_flag (-ipo HAS_IPO)
 if (HAS_IPO)

=== debian/changelog ===
chemps2 (1.8-2) unstable; urgency=medium

   * Fix overwriting chemps2.1.gz libchemps2-1 (Closes: #808312)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Thu, 08 Sep 2016 21:58:29 +0200

chemps2 (1.8-1) unstable; urgency=medium

   * LTS release upstream
   * Bug fix linear Davidson algo (CASPT2)
   * Bug fix MPI in executable.cpp
   * MOLCAS interface

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 24 Aug 2016 10:30:29 +0200
